summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-03-07 16:19:39 +0100
committerMichał Górny <mgorny@gentoo.org>2026-03-07 16:26:41 +0100
commitc241f0f18e7140ecd5cb3f1f3a2f65706673210d (patch)
tree4291231514a31c8205ed6b98c2f904778186392e /dev-python
parent7361ebd3e7a3c2cbdff678eb34c71728a86cdd94 (diff)
downloadgentoo-c241f0f18e7140ecd5cb3f1f3a2f65706673210d.tar.gz
gentoo-c241f0f18e7140ecd5cb3f1f3a2f65706673210d.tar.bz2
gentoo-c241f0f18e7140ecd5cb3f1f3a2f65706673210d.zip
dev-python/signxml: Bump to 4.4.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/signxml/Manifest2
-rw-r--r--dev-python/signxml/signxml-4.4.0.ebuild40
-rw-r--r--dev-python/signxml/signxml-9999.ebuild8
3 files changed, 46 insertions, 4 deletions
diff --git a/dev-python/signxml/Manifest b/dev-python/signxml/Manifest
index 91fb65b117ff..ec9f1aa389ba 100644
--- a/dev-python/signxml/Manifest
+++ b/dev-python/signxml/Manifest
@@ -1 +1,3 @@
DIST signxml-4.2.2.tar.gz 1611966 BLAKE2B 65249e3ed854ae1a45bf625a7965d66c41eee524e303f550f4835953afdc61e4d3140450b8a2876edc796ca87b5c19bac5230792a003e29ad7315d955ea95ff9 SHA512 60c955e8bb53f958cf3b28ced816d34f5182adbe1b7a27eee4717af3b04426c0353219e07d5277f78a7bdb30c7f0d5ff29d90503d0f53f6d334396f8d26e995b
+DIST signxml-4.4.0.tar.gz 1615052 BLAKE2B bae733058eba190d78463c0cd90358d5f51bc468a915c2844b16564b04bb39ce8216b4066abc36b889a04e023bd56aa03e5eb6c94bff6d732bb8af2392dc7c0c SHA512 3abf0155fff8ae34554029523291f1312ae3f8c719c88e6d81145b7a8c2422a35ae8c31654a26be184ae138d7b84360735c0daf01c832265ca9ccfae6b846995
+DIST signxml-4.4.0.tar.gz.provenance 9544 BLAKE2B e5acc100dcf5bffa716c343cb4d00b95b6fcdf026295bd32dac4ebd0115282e8e81b5c74d2bd0af55c85ce02a50f8df19cbdbbad774ca5aaa0aa3680a5921b88 SHA512 86372bf8883965ebb6076111fead91f1f432799752f6a47a1294bdbec8ba1f961e8b8b699a26ca83fe5f89ac39550302d85522dce73a9a5c28a09e30871d34cf
diff --git a/dev-python/signxml/signxml-4.4.0.ebuild b/dev-python/signxml/signxml-4.4.0.ebuild
new file mode 100644
index 000000000000..a66c1a14ff7d
--- /dev/null
+++ b/dev-python/signxml/signxml-4.4.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/XML-Security/signxml
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python XML Signature and XAdES library"
+HOMEPAGE="
+ https://pypi.org/project/signxml/
+ https://github.com/XML-Security/signxml
+"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/XML-Security/signxml.git"
+else
+ inherit pypi
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/lxml-5[${PYTHON_USEDEP}]
+ <dev-python/lxml-7[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-43[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2023.11.17[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" test/test.py -v || die
+}
diff --git a/dev-python/signxml/signxml-9999.ebuild b/dev-python/signxml/signxml-9999.ebuild
index 852f9fda9ddd..a66c1a14ff7d 100644
--- a/dev-python/signxml/signxml-9999.ebuild
+++ b/dev-python/signxml/signxml-9999.ebuild
@@ -4,7 +4,8 @@
EAPI=8
DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{11..13} )
+PYPI_VERIFY_REPO=https://github.com/XML-Security/signxml
+PYTHON_COMPAT=( python3_{11..14} )
inherit distutils-r1
@@ -25,16 +26,15 @@ fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="test"
+RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/lxml-5[${PYTHON_USEDEP}]
- <dev-python/lxml-6[${PYTHON_USEDEP}]
+ <dev-python/lxml-7[${PYTHON_USEDEP}]
>=dev-python/cryptography-43[${PYTHON_USEDEP}]
>=dev-python/certifi-2023.11.17[${PYTHON_USEDEP}]
"
-RESTRICT="!test? ( test )"
-
python_test() {
"${EPYTHON}" test/test.py -v || die
}